
/*---------------------------------------------------------------------------*/
/* stask_threads.h                                                           */
/* copyright (c) innovaphone 2017                                            */
/*                                                                           */
/*---------------------------------------------------------------------------*/

class STaskLinuxThread : public STaskThread {
    pthread_t threadID;
    pthread_mutex_t lock;
    pthread_cond_t cond;

    class STask * task;
    bool started;
    bool ended;
public:
    STaskLinuxThread(class STask * task);
    ~STaskLinuxThread();
    void startTask(class STask * task);
    void exec();
    void wait();
    void cont();
};